package mustache_test

import (
	"testing"

	"github.com/cbroglie/mustache"
	"github.com/stretchr/testify/require"

	rednerd_mustache "orus.io/orus-io/rednerd/engines/mustache"
	"orus.io/orus-io/rednerd/models"
)

func TestVarlist(t *testing.T) {
	t.Parallel()
	mt, err := mustache.ParseString(`
	{{#outsection}}
		{{#section1}}
			{{var1}}
			{{var2}}
		{{/section1}}
		{{#section2}}
			{{var1}}
			{{var2}}
		{{/section2}}
	{{/outsection}}
	`)
	require.NoError(t, err)

	tmpl := rednerd_mustache.NewTemplate(
		"text/plain",
		models.Metadata{},
		map[string]*mustache.Template{},
		mt,
	)
	l, err := tmpl.Varlist()
	require.NoError(t, err)
	require.Equal(t, []string{
		"outsection.section1.var1",
		"outsection.section1.var2",
		"outsection.section2.var1",
		"outsection.section2.var2",
	}, l)
}
