// Code generated by go-swagger; DO NOT EDIT.

package rendering

// This file was generated by the swagger tool.
// Editing this file might prove futile when you re-run the swagger generate command

import (
	"net/http"

	"github.com/go-openapi/runtime"

	"orus.io/orus-io/rednerd/models"
)

// TemplateRenderOKCode is the HTTP code returned for type TemplateRenderOK
const TemplateRenderOKCode int = 200

/*TemplateRenderOK The rendered documents

swagger:response templateRenderOK
*/
type TemplateRenderOK struct {

	/*
	  In: Body
	*/
	Payload []*models.Document `json:"body,omitempty"`
}

// NewTemplateRenderOK creates TemplateRenderOK with default headers values
func NewTemplateRenderOK() *TemplateRenderOK {

	return &TemplateRenderOK{}
}

// WithPayload adds the payload to the template render o k response
func (o *TemplateRenderOK) WithPayload(payload []*models.Document) *TemplateRenderOK {
	o.Payload = payload
	return o
}

// SetPayload sets the payload to the template render o k response
func (o *TemplateRenderOK) SetPayload(payload []*models.Document) {
	o.Payload = payload
}

// WriteResponse to the client
func (o *TemplateRenderOK) WriteResponse(rw http.ResponseWriter, producer runtime.Producer) {

	rw.WriteHeader(200)
	payload := o.Payload
	if payload == nil {
		// return empty array
		payload = make([]*models.Document, 0, 50)
	}

	if err := producer.Produce(rw, payload); err != nil {
		panic(err) // let the recovery middleware deal with this
	}
}

// TemplateRenderUnauthorizedCode is the HTTP code returned for type TemplateRenderUnauthorized
const TemplateRenderUnauthorizedCode int = 401

/*TemplateRenderUnauthorized Unauthorized

swagger:response templateRenderUnauthorized
*/
type TemplateRenderUnauthorized struct {

	/*
	  In: Body
	*/
	Payload *models.Error `json:"body,omitempty"`
}

// NewTemplateRenderUnauthorized creates TemplateRenderUnauthorized with default headers values
func NewTemplateRenderUnauthorized() *TemplateRenderUnauthorized {

	return &TemplateRenderUnauthorized{}
}

// WithPayload adds the payload to the template render unauthorized response
func (o *TemplateRenderUnauthorized) WithPayload(payload *models.Error) *TemplateRenderUnauthorized {
	o.Payload = payload
	return o
}

// SetPayload sets the payload to the template render unauthorized response
func (o *TemplateRenderUnauthorized) SetPayload(payload *models.Error) {
	o.Payload = payload
}

// WriteResponse to the client
func (o *TemplateRenderUnauthorized) WriteResponse(rw http.ResponseWriter, producer runtime.Producer) {

	rw.WriteHeader(401)
	if o.Payload != nil {
		payload := o.Payload
		if err := producer.Produce(rw, payload); err != nil {
			panic(err) // let the recovery middleware deal with this
		}
	}
}

/*TemplateRenderDefault generic error response

swagger:response templateRenderDefault
*/
type TemplateRenderDefault struct {
	_statusCode int

	/*
	  In: Body
	*/
	Payload *models.Error `json:"body,omitempty"`
}

// NewTemplateRenderDefault creates TemplateRenderDefault with default headers values
func NewTemplateRenderDefault(code int) *TemplateRenderDefault {
	if code <= 0 {
		code = 500
	}

	return &TemplateRenderDefault{
		_statusCode: code,
	}
}

// WithStatusCode adds the status to the template render default response
func (o *TemplateRenderDefault) WithStatusCode(code int) *TemplateRenderDefault {
	o._statusCode = code
	return o
}

// SetStatusCode sets the status to the template render default response
func (o *TemplateRenderDefault) SetStatusCode(code int) {
	o._statusCode = code
}

// WithPayload adds the payload to the template render default response
func (o *TemplateRenderDefault) WithPayload(payload *models.Error) *TemplateRenderDefault {
	o.Payload = payload
	return o
}

// SetPayload sets the payload to the template render default response
func (o *TemplateRenderDefault) SetPayload(payload *models.Error) {
	o.Payload = payload
}

// WriteResponse to the client
func (o *TemplateRenderDefault) WriteResponse(rw http.ResponseWriter, producer runtime.Producer) {

	rw.WriteHeader(o._statusCode)
	if o.Payload != nil {
		payload := o.Payload
		if err := producer.Produce(rw, payload); err != nil {
			panic(err) // let the recovery middleware deal with this
		}
	}
}
