// Code generated by go-swagger with a rednerd template; DO NOT EDIT.

// Copyright Orus.io team

package template_management

import (
	"net/http"

	"github.com/prometheus/client_golang/prometheus"
	"github.com/prometheus/client_golang/prometheus/promhttp"
)

var (
	accountTemplateUpdateHandlerDuration = prometheus.NewSummaryVec(
		prometheus.SummaryOpts{
			Name:       "rednerd_api_handler",
			Help:       "The handlers duration and count.",
			Objectives: map[float64]float64{0.9: 0.01, 0.95: 0.01, 0.99: 0.001},
			ConstLabels: map[string]string{
				"service": "account-template-update",
			},
		},
		[]string{"code"},
	)

	accountTemplateUpdateHandlerInFlight = prometheus.NewGauge(
		prometheus.GaugeOpts{
			Name: "rednerd_api_handler_in_flights",
			Help: "The number of handlers currently running.",
			ConstLabels: map[string]string{
				"service": "account-template-update",
			},
		},
	)
)

func AccountTemplateUpdateInstrumentHandler(handler http.Handler) http.Handler {
	return promhttp.InstrumentHandlerInFlight(accountTemplateUpdateHandlerInFlight,
		promhttp.InstrumentHandlerDuration(accountTemplateUpdateHandlerDuration,
			handler,
		),
	)
}

func init() {
	prometheus.MustRegister(
		accountTemplateUpdateHandlerDuration,
		accountTemplateUpdateHandlerInFlight,
	)
}
